package net.lab1024.sa.base.module.support.datatracer.constant;


import lombok.AllArgsConstructor;
import lombok.Getter;
import net.lab1024.sa.base.common.enumeration.BaseEnum;

/**
 * 数据业务类型
 *
 * @Author HUOJIN
 * @Date 2022-07-23 19:38:52-
 * @Email huoj@youchain56.com
 */
@AllArgsConstructor
@Getter
public enum DataTracerTypeEnum implements BaseEnum {

    /**
     * 商品
     */
    GOODS(1, "商品"),

    /**
     *通知公告
     */
    OA_NOTICE(2, "OA-通知公告"),

    /**
     * 企业信息
     */
    OA_ENTERPRISE(3, "OA-企业信息"),

    /**
     * 入库
     */
    ASN(4, "入库"),

    /**
     * 入库
     */
    PICK(5, "出库"),

    ;



    private final Integer value;

    private final String desc;
}
